Class | Ferret::Analysis::LowerCaseFilter
In: | ext/r_analysis.c
Parent: | Ferret::Analysis::TokenStream

LowerCaseFilter normalizes a token‘s text to lowercase based on the current locale.

### Example

      ["One", "TWO", "three", "RÉSUMÉ"] => ["one", "two", "three", "résumé"]

### Methods

new

### Public Class methods

LowerCaseFilter.new(token_stream) → token_stream

Create an LowerCaseFilter which normalizes a token‘s text to lowercase based on the current locale.

[Validate]